## org.aspectj.runtime.reflect
Class FieldSignatureImpl

    java.lang.Object
      org.aspectj.runtime.reflect.FieldSignatureImpl

All Implemented Interfaces:
  FieldSignature, MemberSignature, Signature

    public class FieldSignatureImpl

extends java.lang.Object
implements FieldSignature

Method Summary
`protected java.lang.String` `createToString(org.aspectj.runtime.reflect.StringMaker sm)`
`java.lang.Class` `getDeclaringType()` Returns a `java.lang.Class` object representing the class, interface, or aspect that declared this member.
`java.lang.String` `getDeclaringTypeName()` Returns the fully-qualified name of the declaring type.
`java.lang.reflect.Field` `getField()`
`java.lang.Class` `getFieldType()`
`int` `getModifiers()` Returns the modifiers on this signature represented as an int.
`java.lang.String` `getName()` Returns the identifier part of this signature.
`void` `setLookupClassLoader(java.lang.ClassLoader loader)`
`java.lang.String` `toLongString()` Returns an extended string representation of this signature.
`java.lang.String` `toShortString()` Returns an abbreviated string representation of this signature.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.aspectj.lang.Signature
`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

Method Detail

### getFieldType

    public java.lang.Class getFieldType()

  Specified by:
    `getFieldType` in interface `FieldSignature`

### createToString

    protected java.lang.String createToString(org.aspectj.runtime.reflect.StringMaker sm)

### getField

    public java.lang.reflect.Field getField()

  Specified by:
    `getField` in interface `FieldSignature`

### toString

    public final java.lang.String toString()

  Specified by:
    `toString` in interface `Signature`
  Overrides:
    `toString` in class `java.lang.Object`

### toShortString

    public final java.lang.String toShortString()

  Description copied from interface: `Signature`
  Returns an abbreviated string representation of this signature.

  Specified by:
    `toShortString` in interface `Signature`

### toLongString

    public final java.lang.String toLongString()

  Description copied from interface: `Signature`
  Returns an extended string representation of this signature.

  Specified by:
    `toLongString` in interface `Signature`

### getModifiers

    public int getModifiers()

  Description copied from interface: `Signature`
  Returns the modifiers on this signature represented as an int. Use the constants and helper methods defined on `java.lang.reflect.Modifier` to manipulate this, i.e.

           // check if this signature is public
           java.lang.reflect.Modifier.isPublic(sig.getModifiers());

           // print out the modifiers
           java.lang.reflect.Modifier.toString(sig.getModifiers());

  Specified by:
    `getModifiers` in interface `Signature`
  See Also:
    `Member.getModifiers()`, `Modifier`

### getName

    public java.lang.String getName()

  Description copied from interface: `Signature`
  Returns the identifier part of this signature. For methods this will return the method name.

  Specified by:
    `getName` in interface `Signature`
  See Also:
    `Member.getName()`

### getDeclaringType

    public java.lang.Class getDeclaringType()

  Description copied from interface: `Signature`

  Returns a `java.lang.Class` object representing the class, interface, or aspect that declared this member. For intra-member declarations, this will be the type on which the member is declared, not the type where the declaration is lexically written. Use `SourceLocation.getWithinType()` to get the type in which the declaration occurs lexically.

  For consistency with `java.lang.reflect.Member`, this method should have been named `getDeclaringClass()`.

  Specified by:
    `getDeclaringType` in interface `Signature`
  See Also:
    `Member.getDeclaringClass()`

### getDeclaringTypeName

    public java.lang.String getDeclaringTypeName()

  Description copied from interface: `Signature`
  Returns the fully-qualified name of the declaring type. This is equivalent to calling getDeclaringType().getName(), but caches the result for greater efficiency.

  Specified by:
    `getDeclaringTypeName` in interface `Signature`

### setLookupClassLoader

    public void setLookupClassLoader(java.lang.ClassLoader loader)